## com.saxonica.stream.feed
Class NextIterationFeed

    java.lang.Object
      com.saxonica.stream.feed.ItemFeed
          com.saxonica.stream.feed.NextIterationFeed

All Implemented Interfaces:
  Feed

    public class NextIterationFeed

extends ItemFeed

This class is used when one of the xsl:with-param elements within an xsl:next-iteration of an xsl:iterate consumes the streamed input

Constructor Summary
`NextIterationFeed(Expression inst, Feed result, Stack<XPathContext> contextStack, int arg)`

Method Summary
`void` `append(Item item)` Supply an item to the feed
`void` `close()` Signal the end of the sequence of items
`void` `open()` Start evaluating the expression.

Methods inherited from class com.saxonica.stream.feed.ItemFeed
`getContext, getContextStack, getExpression, getPipelineConfiguration, getResult, setPipelineConfiguration`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### NextIterationFeed

    public NextIterationFeed(Expression inst,
                             Feed result,
                             Stack<XPathContext> contextStack,
                             int arg)
                      throws XPathException

Throws:
  `XPathException`

Method Detail

### open

    public void open()
              throws XPathException

  Description copied from class: `ItemFeed`
  Start evaluating the expression. The default implementation does nothing.

  Specified by:
    `open` in interface `Feed`
  Overrides:
    `open` in class `ItemFeed`
  Throws:
    `XPathException` - if a dynamic error occurs

### append

    public void append(Item item)
                throws XPathException

  Supply an item to the feed

  Specified by:
    `append` in interface `Feed`
  Specified by:
    `append` in class `ItemFeed`
  Parameters:
    `item` - the item being fed
  Throws:
    `XPathException` - to report any failure

### close

    public void close()
               throws XPathException

  Signal the end of the sequence of items

  Specified by:
    `close` in interface `Feed`
  Overrides:
    `close` in class `ItemFeed`
  Throws:
    `XPathException` - to report any failure

Copyright (c) 2004-2010 Saxonica Limited. All rights reserved.